CLASS yddg_p_sm21 DEFINITION
  PUBLIC
  INHERITING FROM yddg__p_sm21
  FINAL
  CREATE PUBLIC .

  PUBLIC SECTION.
  PROTECTED SECTION.
  PRIVATE SECTION.
ENDCLASS.



CLASS yddg_p_sm21 IMPLEMENTATION.
ENDCLASS.
